=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

PACKAGE := camlidl
DESTDIR := $(CURDIR)/debian/$(PACKAGE)

DEB_MAKE_BUILD_TARGET    := all
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET    += opt
endif

%:
	dh $@ --with ocaml

config/Makefile: config/Makefile.unix
	cp $< $@

override_dh_clean: config/Makefile
	dh_clean
	rm -f config/Makefile

override_dh_auto_clean: config/Makefile
	dh_auto_clean
	rm -f config/Makefile

override_dh_auto_configure: config/Makefile

override_dh_auto_build:
	$(MAKE) $(DEB_MAKE_BUILD_TARGET)

override_dh_auto_install:
	$(MAKE) install DESTDIR="$(DESTDIR)"
	sed -i "s/@VERSION@/$(DEB_VERSION_UPSTREAM)/g" debian/META.camlidl
	mv -v debian/META.camlidl debian/META
	mkdir $(DESTDIR)/usr/lib/ocaml/$(PACKAGE)
	mv -v $(DESTDIR)/usr/lib/ocaml/*.* $(DESTDIR)/usr/lib/ocaml/$(PACKAGE)
	mv -v $(DESTDIR)/usr/lib/ocaml/caml $(DESTDIR)/usr/lib/ocaml/$(PACKAGE)

override_dh_ocaml:
	dh_ocaml --runtime-map camlidl
