=== debian/changelog ===
camlidl (1.09-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:19:38 +0100

camlidl (1.09-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 13:56:32 +0100

camlidl (1.09-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Aug 2020 11:56:32 +0200
