=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: camlidl
 Section: ocaml
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- ocaml-nox (>= 3.11),
- debhelper (>= 12~),
+ ocaml-nox,
+ debhelper-compat (= 13),
  cpp,
  binutils,
- dh-ocaml (>= 0.9)
-Standards-Version: 4.4.0
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/xavierleroy/camlidl/
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlidl.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlidl
