## camlidl 1.11

=== lib/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #*                                                                     *
 #***********************************************************************
 
-#* $Id: Makefile,v 1.4 2002/04/22 11:50:47 xleroy Exp $
+#* $Id: Makefile,v 1.4 2002-04-22 11:50:47 xleroy Exp $
 
 include ../config/Makefile
 
@@ -23,10 +23,10 @@
 all: $(BYTELIB) $(NATIVELIB)
 
 $(BYTELIB): $(BYTEOBJS)
-	$(OCAMLC) -a -o $(BYTELIB) $(BYTEOBJS)
+	$(OCAMLC) -a -o $(BYTELIB) -dllib -lcamlidl -cclib -lcamlidl $(BYTEOBJS)
 
 $(NATIVELIB): $(NATIVEOBJS)
-	$(OCAMLOPT) -a -o $(NATIVELIB) $(NATIVEOBJS)
+	$(OCAMLOPT) -a -o $(NATIVELIB) -cclib -lcamlidl $(NATIVEOBJS)
 
 install:
 	cp $(INTERFACES) $(BYTELIB) $(NATIVELIB) $(NATIVELIB:.cmxa=.$(LIBEXT)) $(OCAMLLIB)
@@ -43,7 +43,7 @@
 
 # Clean up
 clean::
-	rm -f *.cm[ioax] $.cmxa *~
+	rm -f *.cm[ioax] *.cmxa *.[ao] *.lib *~
 
 # Dependencies
 depend:
