=== debian/changelog ===
camlidl (1.11-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Apr 2023 12:23:40 -0700

camlidl (1.11-2) lunar; urgency=low

  * Compatibility with dune/jbuilder.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 10 Feb 2023 22:44:16 +0100

camlidl (1.11-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 20 Jan 2023 12:35:37 +0100
