=== debian/control ===
--- 
+++ 
@@ -1,16 +1,11 @@
 Source: camlidl
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Ralf Treinen <treinen@debian.org>
-Build-Depends:
- ocaml-nox,
- debhelper-compat (= 13),
- cpp,
- binutils,
- dh-ocaml
-Standards-Version: 4.5.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Ralf Treinen <treinen@debian.org>
+Build-Depends: binutils, cpp, debhelper-compat (= 13), dh-ocaml, ocaml-nox
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/xavierleroy/camlidl/
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlidl.git
@@ -19,10 +14,7 @@
 Package: camlidl
 Architecture: any
 Suggests: camlidl-doc
-Depends:
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: Stub code generator for Objective Caml
  CamlIDL generates stub code for interfacing Caml with C from an IDL
