=== debian/rules ===
--- 
+++ 
@@ -40,3 +40,7 @@
 
 override_dh_ocaml:
 	dh_ocaml --runtime-map camlidl
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
