## camlidl 1.12

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #*                                                                     *
 #***********************************************************************
 
-#* $Id: Makefile,v 1.18 2000/08/19 11:04:55 xleroy Exp $
+#* $Id: Makefile,v 1.18 2000-08-19 11:04:55 xleroy Exp $
 
 include config/Makefile
