=== debian/changelog ===
camlidl (1.12-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jan 2024 15:25:08 +0100

camlidl (1.11-2) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:50:59 +0200
