=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

PACKAGE := camlidl
DESTDIR := $(CURDIR)/debian/$(PACKAGE)

DEB_MAKE_BUILD_TARGET    := all

%:
	dh $@ --with ocaml

config/Makefile: config/Makefile.unix
	cp $< $@

override_dh_clean: config/Makefile
	dh_clean
	rm -f config/Makefile

override_dh_auto_clean: config/Makefile
	dh_auto_clean
	rm -f config/Makefile

override_dh_auto_configure: config/Makefile

override_dh_auto_build:
	$(MAKE) $(DEB_MAKE_BUILD_TARGET)

override_dh_auto_install:
	$(MAKE) install DESTDIR="$(DESTDIR)"
	sed -i "s/@VERSION@/$(DEB_VERSION_UPSTREAM)/g" debian/META.camlidl

override_dh_ocaml:
	dh_ocaml --runtime-map camlidl
