=== tools/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #*                                                                     *
 #***********************************************************************
 
-#* $Id: Makefile,v 1.2 2000/08/19 11:05:00 xleroy Exp $
+#* $Id: Makefile,v 1.2 2000-08-19 11:05:00 xleroy Exp $
 
 include ../config/Makefile
