=== debian/changelog ===
camlidl (1.13-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Aug 2025 14:53:32 +0200
