=== debian/control ===
Source: camlidl
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>
Build-Depends:
 ocaml,
 debhelper-compat (= 13),
 cpp,
 binutils,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/xavierleroy/camlidl/
Vcs-Git: https://salsa.debian.org/ocaml-team/camlidl.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/camlidl

Package: camlidl
Architecture: any
Suggests: camlidl-doc
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Stub code generator for Objective Caml
 CamlIDL generates stub code for interfacing Caml with C from an IDL
 description of the C functions.  Thus, CamlIDL automates the most
 tedious task in interfacing C libraries with Caml programs.
 .
 It can also be used to interface Caml programs with other languages, as
 long as those languages have a well-defined C interface.
 .
 This package contains the CamlIDL executable.
