=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,8 @@
 	$(MAKE) $(DEB_MAKE_BUILD_TARGET)
 
 override_dh_auto_install:
-	$(MAKE) install DESTDIR="$(DESTDIR)"
-	sed -i "s/@VERSION@/$(DEB_VERSION_UPSTREAM)/g" debian/META.camlidl
+	$(MAKE) install DESTDIR="$(DESTDIR)" BINDIR="$(DESTDIR)/usr/bin"
+	cp META "$(DESTDIR)$(OCAML_STDLIB_DIR)/METAS/META.camlidl"
 
 override_dh_ocaml:
 	dh_ocaml --runtime-map camlidl
