=== debian/watch ===
version=4
opts="uversionmangle=s/(..)$/.$1/" \
https://github.com/xavierleroy/camlidl/tags .*/camlidl([0-9]+)\.tar\.gz
